DROP VIEW IF EXISTS drel;
CREATE VIEW drel AS
SELECT R502.FONTE
, R502.REFERENCIA
, R502.ID_BENEF
/* INICIO */
, IF(R502.CD_UNI <> '0217', concat("9", SUBSTR(CD_UNI,2,3)), SUBSTR(R502.ID_BENEF,1,4)) 	AS EMPRESA
, SUBSTR(R502.ID_BENEF,1,4) 	AS EMPR_ORI
/* TERMINO */
, SUBSTR(R502.ID_BENEF,5,6) 	AS FAMILIA
, SUBSTR(R502.ID_BENEF,11,2) 	AS DEPENDENTE
, SUBSTR(R502.ID_BENEF,13,1) 	AS DIGITO
, R502.NR_LOTE
, R502.NR_NOTA
, R502.NM_BENEF			AS NOME_USUA
, R504.CD_UNI_PRE
, R504.CD_PREST
, R504.NM_PREST
, R504.DT_SERVICO
, R504.CD_SERVICO
, R504.VL_SERV_COB
, R504.VL_CO_COB
, R504.VL_FILME_COB
, R504.VL_ADIC_SER
, R504.VL_ADIC_CO
, R504.VL_ADIC_FILME
, R204.VL_SERVICO_PAGO
, R204.VL_CO_PAGO
, R204.VL_FILME_PAGO
, R503.DT_INTERNACAO
, R503.DT_ALTA
, R504.CD_PORTE_ANE	AS NR_PORTE
, R204.TIPO_SERVICO
, R504.CD_ESPEC 	AS ESPECIALIDADE
, R504.QT_COBRADA 	AS QUANTIDADE
, R504.CD_UNI_PRE_REQ
, R204.QTE_UT_HM
, R204.QTE_UT_CO
, R204.QTE_M2_FILME
, R503.TP_ACOMODACAO	AS PLAN
, R204.SEQ_COMPETENCIA
, R502.CD_CID
, R503.CD_UNI_HOSP
, R503.CD_HOSP
, R204.COMPETENCIA
, R204.PRINCIPAL AS PROC_PRINCIPAL
, R204.SEQ_PAGAMENTO
, R502.TP_CARACTER_ATEND 
, R502.TP_PACIENTE
, R502.TP_SAIDA_CONS_SADT
, R502.TP_ATENDIMENTO
, R503.TP_IND_ACIDENTE
, R503.TP_SAIDA
, R503.TP_INTERNACAO
, R503.NR_DECLARA_VIVO_1
, R504.TP_PARTICIP
, R504.NR_CNPJ_CPF
, R504.ID_PACOTE
, R504.FAT_MULT_SERV
, R504.NR_SEQ_NOTA
, R504.NR_AUTORIZ
FROM R502
/* INICIO */
INNER JOIN R504
  ON R504.REFERENCIA 	=  R502.REFERENCIA 
 AND R504.FONTE 			=  R502.FONTE
 AND R504.NR_NOTA 		=  R502.NR_NOTA
 AND R504.NR_LOTE 	 	=  R502.NR_LOTE
 AND R504.NR_SEQ > R502.NR_SEQ
 AND R504.NR_SEQ < (SELECT IFNULL(MIN(D0.NR_SEQ), '99999999')
                       FROM R502 D0 
                      WHERE D0.REFERENCIA = R502.REFERENCIA 
                        AND D0.FONTE = R502.FONTE
                        AND D0.NR_LOTE = R502.NR_LOTE
                        AND D0.NR_NOTA = R502.NR_NOTA
                        AND D0.NR_SEQ > R502.NR_SEQ)
LEFT JOIN R503
  ON R503.REFERENCIA 	=  R502.REFERENCIA 
 AND R503.FONTE 			=  R502.FONTE
 AND R503.NR_NOTA 		= R502.NR_NOTA
 AND R503.NR_LOTE 		= R502.NR_LOTE
LEFT JOIN R204
  ON R204.REFERENCIA 	= R504.REFERENCIA 
 AND R204.FONTE 			= R504.FONTE
 AND R204.NR_NOTA 		= R504.NR_NOTA
 AND R204.NR_LOTE 		= R504.NR_LOTE
 AND R204.NR_SEQ  		= (R504.NR_SEQ + 1);
 /* TERMINO */
